Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### rotateZ()

Examples

    size(100, 100, P3D);
    translate(width/2, height/2);
    rotateZ(PI/3.0);
    rect(-26, -26, 52, 52);

    size(100, 100, P3D);
    translate(width/2, height/2);
    rotateZ(radians(60));
    rect(-26, -26, 52, 52);

Description

Rotates an object around the Z axis the amount specified by the `angle` parameter. Angles should be specified in radians (values from 0 to PI*2) or converted to radians with the radians() function. Objects are always rotated around their relative position to the origin and positive numbers rotate objects in a counterclockwise direction. Transformations apply to everything that happens after and subsequent calls to the function accumulates the effect. For example, calling rotateZ(PI/2) and then rotateZ(PI/2) is the same as rotateZ(PI). If rotateZ() is called within the draw(), the transformation is reset when the loop begins again. This function requires passing P3D or OPENGL into the size() parameter as shown in the example above.

Syntax

    rotateZ(angle)

Parameters

angle | float: angle of rotation specified in radians

Usage | Web & Application
Related | rotateX() rotateY() translate() rotate() scale() pushMatrix() popMatrix()

Updated on February 09, 2008 04:38:52pm PST